## Uses of Interface
org.apache.cassandra.service.CASConditions

Packages that use CASConditions
Package | Description
--- | ---
org.apache.cassandra.cql3.statements |
org.apache.cassandra.service |

### Uses of CASConditions in org.apache.cassandra.cql3.statements

Classes in org.apache.cassandra.cql3.statements that implement CASConditions
Modifier and Type | Class and Description
--- | ---
`class` | `CQL3CasConditions` Processed CAS conditions on potentially multiple rows of the same partition.

### Uses of CASConditions in org.apache.cassandra.service

Methods in org.apache.cassandra.service with parameters of type CASConditions
Modifier and Type | Method and Description
--- | ---
`static ColumnFamily` | StorageProxy.`cas(java.lang.String keyspaceName, java.lang.String cfName, java.nio.ByteBuffer key, CASConditions conditions, ColumnFamily updates, ConsistencyLevel consistencyForPaxos, ConsistencyLevel consistencyForCommit)` Apply @param updates if and only if the current values in the row for @param key match the provided @param conditions.